import { ButtonInteraction } from 'discord.js';
import BaseInteractionManager from '../../InteractionsAPI/BaseInteractionManager';
import ButtonInteractionHandler from './ButtonInteractionHandler';
export default class ButtonInteractionManager extends BaseInteractionManager<ButtonInteraction, ButtonInteractionHandler> {
    /**
     * @constructor
     * @public
     * @param {Client} client The Discord.js Client
     */
    constructor();
    protected getInteractionId(interaction: ButtonInteraction): string;
    protected callInteraction(interaction: ButtonInteraction): void;
}
