"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * The base Interaction Handler class
 * @class
 * @abstract
 */
class BaseInteractionHandler {
    /**
     * @constructor
     * @public
     * @param {BaseInteractionHandlerOptions} options The options supplied to the handler
     */
    constructor(/**@private */ options) {
        this.options = options;
    }
}
exports.default = BaseInteractionHandler;
