import { ButtonInteraction } from 'discord.js';
import BaseInteractionHandler, { BaseInteractionHandlerOptions } from '../../InteractionsAPI/BaseInteractionHandler';
import ButtonInteractionManager from './ButtonInteractionManager';
export interface ButtonInteractionHandlerOptions extends BaseInteractionHandlerOptions {
    customId: string;
}
export default abstract class ButtonInteractionHandler extends BaseInteractionHandler {
    customId: string;
    constructor(options: ButtonInteractionHandlerOptions, manager?: ButtonInteractionManager);
    abstract run(interaction: ButtonInteraction): void;
}
