"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const discord_js_1 = require("discord.js");
const BaseInteractionManager_1 = require("../../InteractionsAPI/BaseInteractionManager");
class ButtonInteractionManager extends BaseInteractionManager_1.default {
    /**
     * @constructor
     * @public
     * @param {Client} client The Discord.js Client
     */
    constructor() {
        super(discord_js_1.ButtonInteraction);
    }
    getInteractionId(interaction) {
        return interaction.customId;
    }
    callInteraction(interaction) {
        var _a;
        (_a = this.getInteractionHandler(interaction)) === null || _a === void 0 ? void 0 : _a.run(interaction);
    }
}
exports.default = ButtonInteractionManager;
